# Uses of Class
java.net.UnixDomainSocketAddress

Packages that use UnixDomainSocketAddress
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of UnixDomainSocketAddress in java.net

Methods in java.net that return UnixDomainSocketAddress
Modifier and Type
Method
Description
`static UnixDomainSocketAddress`
UnixDomainSocketAddress.`of(String pathname)`
Creates a UnixDomainSocketAddress from the given path string.
`static UnixDomainSocketAddress`
UnixDomainSocketAddress.`of(Path path)`
Creates a UnixDomainSocketAddress for the given path.